Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-11-16 10:542020-11-20 13:09
Reportersalvador_campanellaView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045449: Grid Horizontal scroll is not working with chrome 86 and Arabic language

DescriptionGrid Horizontal scroll is not working with chrome 86 and Arabic language
Steps To Reproduce1. Install Google Chrome (version 86.0.4240.193)
2. Try to open the application using Arabic Language or any language (RLT)
3. Open any window in grid view
maybe will be needed to adjust the window size to show the horizontal scroll

4. Use the horizontal scroll

Error the scroll is not working
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0045470PR20Q4 closedcberner Grid Horizontal scroll is not working with chrome 86 and Arabic language 
depends on backport 0045471PR20Q3.2 closedcberner Grid Horizontal scroll is not working with chrome 86 and Arabic language 
depends on backport 0045472PR20Q2.3 closedcberner Grid Horizontal scroll is not working with chrome 86 and Arabic language 

-  Notes
(0124454)
cberner (developer)
2020-11-17 15:20

It is also reproducible starting from version 83.0.4103 of Chrome. The issue has probably been introduced between version 81 and 83, it is not clear what causes it yet.
(0124494)
hgbot (developer)
2020-11-18 17:36

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/239 [^]
(0124495)
hgbot (developer)
2020-11-18 17:37

Merge Request created: https://gitlab.com/openbravo/tools/platform/org.openbravo.userinterface.smartclient.dev/-/merge_requests/3 [^]
(0124527)
hgbot (developer)
2020-11-20 13:09

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d306d8b84a4bc3af8783dd93675936d9b7cf6a8d
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-11-18T17:32:52+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d306d8b84a4bc3af8783dd93675936d9b7cf6a8d [^]

Fixes ISSUE-45449: Grid Horizontal scroll on RTL is not working with Chrome >= 85

Horizontal scroll on smartclient grid is failing on Chrome version 85+,
this is due to the modification of how Chrome implements horizontal
scrolling, it has been modified to follow similar standards to mozilla,
which previously it was not.

This required porting one of the patches from smartclient version 12.1,
which fixes this issue.

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0124528)
hgbot (developer)
2020-11-20 13:09

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/239 [^]
(0124529)
hgbot (developer)
2020-11-20 13:09

Repository: https://gitlab.com/openbravo/tools/platform/org.openbravo.userinterface.smartclient.dev [^]
Changeset: 6b4f3f70cc3241de7eae4eba2f5e918586844729
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-11-18T17:25:34+01:00
URL: https://gitlab.com/openbravo/tools/platform/org.openbravo.userinterface.smartclient.dev/-/commit/6b4f3f70cc3241de7eae4eba2f5e918586844729 [^]

Related to ISSUE-45449: Grid Horizontal scroll on RTL is not working with chrome >= 85

Horizontal scroll on smartclient grid is failing on Chrome version 85+,
this is due to the modification of how Chrome implements horizontal
scrolling, it has been modified to follow similar standards to mozilla,
which previously it was not.

This required porting one of the patches from smartclient version 12.1,
which fixes this issue.

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/widgets/Canvas.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Core.js
---
(0124530)
hgbot (developer)
2020-11-20 13:09

Merge request merged: https://gitlab.com/openbravo/tools/platform/org.openbravo.userinterface.smartclient.dev/-/merge_requests/3 [^]

- Issue History
Date Modified Username Field Change
2020-11-16 10:54 salvador_campanella New Issue
2020-11-16 10:54 salvador_campanella Assigned To => platform
2020-11-16 10:54 salvador_campanella Web browser => Google Chrome
2020-11-16 10:54 salvador_campanella Modules => Core
2020-11-16 10:54 salvador_campanella Triggers an Emergency Pack => No
2020-11-17 15:20 cberner Note Added: 0124454
2020-11-18 17:25 cberner Assigned To platform => cberner
2020-11-18 17:36 hgbot Note Added: 0124494
2020-11-18 17:37 hgbot Note Added: 0124495
2020-11-20 10:50 cberner Status new => scheduled
2020-11-20 13:09 hgbot Resolution open => fixed
2020-11-20 13:09 hgbot Status scheduled => closed
2020-11-20 13:09 hgbot Fixed in Version => PR21Q1
2020-11-20 13:09 hgbot Note Added: 0124527
2020-11-20 13:09 hgbot Note Added: 0124528
2020-11-20 13:09 hgbot Note Added: 0124529
2020-11-20 13:09 hgbot Note Added: 0124530


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker